#include <stdio.h>

int main() {

  char c    = 'd';
  int x     = 12345;
  int *xp   = &x;
  char *cp  = &c;

  printf ("size c:  %lu\n", sizeof(c));
  printf ("size x:  %lu\n", sizeof(x));
  printf ("size xp: %lu\n", sizeof(xp));
  printf ("size cp: %lu\n", sizeof(cp));

  return 0;
}
